# Retrieve a Person

> Returns one Person with its descriptive metadata and Metadata Images.

`GET /people/{id}` on `https://api.mediux.io`

## Parameters

- `id` (path, integer, required): The Person's numeric Mediux ID.

## Responses

### 200

The Person.

- `data` (object, required)
  - `kind` (string, required): One of "person".
  - `id` (integer, required)
  - `name` (string, required)
  - `biography` (string, nullable, required)
  - `knownForDepartment` (string, nullable, required): One of "acting", "art", "camera", "costumeAndMakeUp", "creator", "crew", "directing", "editing", "lighting", "production", "sound", "visualEffects", "writing", "other".
  - `gender` (string, nullable, required): One of "female", "male", "nonBinary", "notSpecified", "other".
  - `birthday` (string, nullable, required)
  - `deathday` (string, nullable, required)
  - `metadataImages` (object, required)
    - `profile` (object, nullable, required)
      - `id` (string (uuid), required): Stable image ID, a lowercase UUID. Variant filenames use the same ID.
      - `extension` (string, required): Extension of the Original, such as `png`.
  - `shows` (array of object, required)
    - `id` (integer, required)
    - `title` (string, required)
    - `year` (integer, nullable, required)
    - `poster` (object, nullable, required)
      - `id` (string (uuid), required): Stable image ID, a lowercase UUID. Variant filenames use the same ID.
      - `extension` (string, required): Extension of the Original, such as `png`.
    - `roles` (array of object, required)
  - `movies` (array of object, required)
    - `id` (integer, required)
    - `title` (string, required)
    - `year` (integer, nullable, required)
    - `poster` (object, nullable, required)
      - `id` (string (uuid), required): Stable image ID, a lowercase UUID. Variant filenames use the same ID.
      - `extension` (string, required): Extension of the Original, such as `png`.
    - `roles` (array of object, required)

### 304

Not modified. The `If-None-Match` validator still matches; no body.

### 400

The path is not a valid route, or the request carried a query string or body.

### 404

The resource does not exist or is not public.

### 405

Only `GET`, `HEAD` and `OPTIONS` are supported.

### 429

Too many cache misses from this address. Retry after the `Retry-After` delay.

### 503

Temporarily unavailable. Retry after the `Retry-After` delay.

## Example response (200)

```json
{
  "data": {
    "kind": "person",
    "id": 287,
    "name": "Brad Pitt",
    "biography": "William Bradley Pitt (born December 18, 1963) is an American actor and film producer. In a film career spanning more than thirty years, Pitt has received numerous accolades, including two Academy Awards, two British Academy Film Awards, two Golden Globe Awards, two Primetime Emmy Awards and one Volpi Cup. His films as a leading actor have grossed over $7.5 billion worldwide.\n\nPitt first gained recognition as a cowboy hitchhiker in the Ridley Scott road film Thelma & Louise (1991). Pitt emerged as a star taking on starring roles in films such as the drama A River Runs Through It (1992), the western Legends of the Fall (1994), the horror film Interview with the Vampire (1994), the crime thriller Seven (1995), the cult film Fight Club (1999), and the crime comedy Snatch (2000). He cemented his leading man status by starring in blockbusters such as Steven Soderbergh's Ocean's film trilogy (2001–2007), Troy (2004), Mr. & Mrs. Smith (2005), World War Z (2013), Bullet Train (2022) and F1 (2025).\n\nPitt earned Academy Award nominations for his performances in the science fiction drama 12 Monkeys (1995), the fantasy romance The Curious Case of Benjamin Button (2008) and the sports drama Moneyball (2011). For his portrayal of a stuntman in Quentin Tarantino's Once Upon a Time in Hollywood (2019), he won the Academy Award for Best Supporting Actor. He also starred in acclaimed films such as Babel(2006), The Assassination of Jesse James by the Coward Robert Ford (2007), Burn After Reading (2008), Inglourious Basterds (2009), The Tree of Life (2011), Fury (2014), The Big Short (2015), Ad Astra (2019) and Babylon (2022).\n\nIn 2001, Pitt co-founded the production company Plan B Entertainment. As a producer, he won the Academy Award for Best Picture for 12 Years a Slave (2013). He was nominated for Moneyball (2011) and The Big Short (2015). An influential figure in popular culture, Pitt appeared on Forbes' annual Celebrity 100 list from 2006 to 2008, and the Time 100 list in 2007. Regarded as a sex symbol, Pitt was named People's Sexiest Man Alive in 1995 and 2000. Pitt's relationships have also been subject to widespread media attention, particularly his marriages to actresses Jennifer Aniston and Angelina Jolie, the latter of whom he shares six children with.\n\nDescription above from the Wikipedia article Brad Pitt, licensed under CC-BY-SA, full list of contributors on Wikipedia.",
    "knownForDepartment": "acting",
    "gender": "male",
    "birthday": null,
    "deathday": null,
    "metadataImages": {
      "profile": {
        "id": "bcbc21b3-c3ed-4733-bcb2-92ccca984bf3",
        "extension": "avif"
      }
    },
    "shows": [
      {
        "id": 234635,
        "title": "Faut Voir - L'Hebdo cinéma",
        "year": 2023,
        "poster": {
          "id": "1be621cc-dbc7-42e9-91f9-4eb4b3c06b70",
          "extension": "avif"
        },
        "roles": [
          {
            "creditType": "cast",
            "character": "Self - Guest"
          }
        ]
      },
      {
        "id": 233356,
        "title": "Wayne Shorter: Zero Gravity",
        "year": 2023,
        "poster": {
          "id": "35d780d8-a122-4283-800f-2a9f790d2cff",
          "extension": "avif"
        },
        "roles": [
          {
            "creditType": "crew",
            "job": "Producer",
            "department": "production"
          }
        ]
      },
      {
        "id": 102905,
        "title": "History 101",
        "year": 2020,
        "poster": {
          "id": "00115bc5-03d7-4cb6-b057-89228570f85b",
          "extension": "avif"
        },
        "roles": [
          {
            "creditType": "cast",
            "character": "Self (archive footage)"
          }
        ]
      }
    ],
    "movies": [
      {
        "id": 1355885,
        "title": "From Inside Out: The Architecture of Peter Zumthor",
        "year": 2026,
        "poster": {
          "id": "7c02c2be-26c6-433b-a3a9-daaef2073493",
          "extension": "avif"
        },
        "roles": [
          {
            "creditType": "crew",
            "job": "Executive Producer",
            "department": "production"
          }
        ]
…
```
